Bug 12599 - REGRESSION: When replying to message in Gmail, the caret is removed from message body when you start to type
Summary: REGRESSION: When replying to message in Gmail, the caret is removed from mess...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-02-04 11:05 PST by Maciej Stachowiak
Modified: 2007-02-08 22:39 PST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2007-02-04 11:05:36 PST
2007-02-02 15:58:03 Chris Petersen:
* SUMMARY
When replying to message in Gmail, the caret is removed from message body when you start to type. This reproduces only when Safari-521.33.tar.gz is installed over Leopard9A357.


* STEPS TO REPRODUCE
1. With TOT (Leopard)  or Safari-521.33.tar.gz installed over Leopard9A357, login into Gmail.
2. Click on a message in your gmail inbox. Then click "Reply" link.
3. When the message opens, notice the caret is correctly displayed in the message body
4. Now start to type. Notice the caret is removed for the message body field.
5. Clicking in the message body does insert the caret again but this is just a extra step for the user.

* RESULTS
Caret should remain in message body when typing in a reply but doesn't

* REGRESSION
Yes, this works in stock Leopard 9A357.

2007-02-02 16:38:05 Chris Petersen:
This also occurs on TOT (Tiger) r19371, r12016.

2007-02-02 18:45:33 Justin Garcia:
This regressed between r19312 and r19336.

2007-02-02 18:46:35 Justin Garcia:
Adele, you made some changes in r19313 that look suspicious.  Could you look at this?

<rdar://problem/4973507>
Comment 1 Adele Peterson 2007-02-08 20:32:58 PST
I can no longer reproduce this in TOT. Can someone else confirm?
Comment 2 Adele Peterson 2007-02-08 20:40:06 PST
Ah, this only occurs in their rich editing mode
Comment 3 Adele Peterson 2007-02-08 22:39:49 PST
Committed revision 19522.